package kr.co.icontrols.ilp300_700.admin.test;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.util.Log;
import android.view.Gravity;
import android.view.KeyEvent;
import android.widget.RelativeLayout;

import kr.co.icontrols.ilp300_700.MainActivity;
import kr.co.icontrols.ilp300_700.R;
import kr.co.icontrols.ilp300_700.ethernet.PingTest;
import kr.co.icontrols.ilp300_700.global.Configure.ConfigValue;
import kr.co.icontrols.ilp300_700.global.DataClasses.POSITION;
import kr.co.icontrols.ilp300_700.global.Declare;
import kr.co.icontrols.ilp300_700.global.Enumeration.DATAINPUTSTEP;
import kr.co.icontrols.ilp300_700.global.Global;
import kr.co.icontrols.ilp300_700.global.ID;
import kr.co.icontrols.wallpadsupport.WpadImageView;
import kr.co.icontrols.wallpadsupport.WpadScreen;
import kr.co.icontrols.wallpadsupport.WpadTextView;

public class AdminSet_Test_Network_IP extends WpadScreen {

    String TAG = "AdminSet_Test_Network_IP";

    boolean bLOG = true;   // true, false
    boolean bLOG_DEBUG = false;   // true, false
    boolean bLOG_INFO = false;   // true, false
    Context mContext;
    WpadImageView Image_Background;
    WpadTextView Text_Title;
    WpadTextView Text_Line_01_Item;
    WpadTextView Text_Line_02_Item;
    WpadTextView Text_Line_03_Item;
    WpadTextView Text_Line_04_Item;
    WpadTextView Text_Line_05_Item;
    WpadTextView Text_Line_06_Item;
    WpadTextView Text_Line_07_Item;
    WpadTextView Text_Line_01_Input;
    WpadTextView Text_Line_02_Input;
    WpadTextView Text_Line_03_Input;
    WpadTextView Text_Line_04_Input;
    WpadTextView Text_Line_05_Input;
    int TextColor_Normal = Color.WHITE;
    int TextColor_Highlight = Color.GREEN;
    int nFontSize_Instruction = 28;
    boolean bFontNonBold = false;
    boolean bFontBold = true;
    boolean bFUNCBlock = false;
    String strText_Title = "네트워크 (IP 입력)";
    String strText_Line_01_Item = "IP";
    String strText_Line_02_Item = "[ ";
    String strText_Line_03_Item = ".";
    String strText_Line_04_Item = ".";
    String strText_Line_05_Item = ".";
    String strText_Line_06_Item = " ]";
    String strText_Line_07_Item = "* IP를 입력하세요 *";
    String strText_Line_01_Input = "";
    String strText_Line_02_Input = "";
    String strText_Line_03_Input = "";
    String strText_Line_04_Input = "";
    String Temp_01_Input = "";
    String Temp_02_Input = "";
    String Temp_03_Input = "";
    String Temp_04_Input = "";
    public AdminSet_Test_Network_IP(Context context, RelativeLayout layout) {
        super(context, layout);
        try {
            LOG("------------------ [START - AdminSet_Test_Network_IP] -------------------");

            mContext = context;
            Initialize();

            Image_Background = new WpadImageView(context, 0, Declare.DeviceInfo.getScreenSizeFullW(ConfigValue.DEVICE_MODELTYPE), Declare.DeviceInfo.getScreenSizeFullH(ConfigValue.DEVICE_MODELTYPE), R.drawable.bg_back, 0, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.IMAGES.BACKGROUND);
            ViewRegistration(layout, Image_Background, 0, 0);

            Text_Title = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.TITLE).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.TITLE).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.TITLE);
            ViewRegistration(layout, Text_Title, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.TITLE).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.TITLE).Y);
            Text_Title.setText(strText_Title);

            Text_Line_01_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Item);
            ViewRegistration(layout, Text_Line_01_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Item).Y);
            Text_Line_01_Item.setText(strText_Line_01_Item);

            Text_Line_02_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Item);
            ViewRegistration(layout, Text_Line_02_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Item).Y);
            Text_Line_02_Item.setText(strText_Line_02_Item);

            Text_Line_03_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Item).H, Gravity.LEFT, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Item);
            ViewRegistration(layout, Text_Line_03_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Item).Y);
            Text_Line_03_Item.setText(strText_Line_03_Item);

            Text_Line_04_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Item);
            ViewRegistration(layout, Text_Line_04_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Item).Y);
            Text_Line_04_Item.setText(strText_Line_04_Item);

            Text_Line_05_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_05_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_05_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_05_Item);
            ViewRegistration(layout, Text_Line_05_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_05_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_05_Item).Y);
            Text_Line_05_Item.setText(strText_Line_05_Item);

            Text_Line_06_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_06_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_06_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_06_Item);
            ViewRegistration(layout, Text_Line_06_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_06_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_06_Item).Y);
            Text_Line_06_Item.setText(strText_Line_06_Item);

            Text_Line_07_Item = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_07_Item).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_07_Item).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_07_Item);
            ViewRegistration(layout, Text_Line_07_Item, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_07_Item).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_07_Item).Y);
            Text_Line_07_Item.setText(strText_Line_07_Item);

            Text_Line_01_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Input).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Input);
            ViewRegistration(layout, Text_Line_01_Input, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Input).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Input).Y);
            Text_Line_01_Input.setText(strText_Line_01_Input);

            Text_Line_02_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Input).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Input);
            ViewRegistration(layout, Text_Line_02_Input, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Input).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Input).Y);
            Text_Line_02_Input.setText(strText_Line_02_Input);

            Text_Line_03_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Input).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Input);
            ViewRegistration(layout, Text_Line_03_Input, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Input).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Input).Y);
            Text_Line_03_Input.setText(strText_Line_03_Input);

            Text_Line_04_Input = new WpadTextView(context, false, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Input).W, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Input).H, Gravity.CENTER, Color.WHITE, nFontSize_Instruction, bFontNonBold, ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Input);
            ViewRegistration(layout, Text_Line_04_Input, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Input).X, getPosition(ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Input).Y);
            Text_Line_04_Input.setText(strText_Line_04_Input);

            UpdateScreen();
            ((MainActivity) mContext).setAutoScreenChange(ID.SCREENS.Main, MainActivity.nAdminScreenTimeout);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] AdminSet_Test_Network_IP(...) : " + e);
            e.printStackTrace();
        }
    }

    private void LOG(String log) {
        if (bLOG) Log.v(TAG, log);
    }

    private void LOG_DEBUG(String log) {
        if (bLOG_DEBUG) Log.d(TAG, log);
    }

    private void LOG_INFO(String log) {
        if (bLOG_INFO) Log.i(TAG, log);
    }

    protected void Initialize() {
        try {
//          LOG("[Initialize] ===== START =====");
            setInitValue();
        } catch (Exception e) {
            Log.e(TAG, "[Exception] Initialize() : " + e);
            e.printStackTrace();
        }
    }

    @Override
    protected void onClose() {
        try {
            LOG("------------------ [onClose - AdminSet_Test_Network_IP] -------------------");
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onClose() : " + e);
            e.printStackTrace();
        }
        super.onClose();
    }

    @Override
    protected void onBrReceive(Intent intent) {
        try {
            LOG("[onBrReceive] Intent : " + intent);
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onBrReceive(...) : " + e);
            e.printStackTrace();
        }
        super.onBrReceive(intent);
    }

    @Override
    protected void onKeyDown(int keyCode, KeyEvent event) {
        try {
//            LOG("[onKeyDown] keyCode [" + keyCode + "], event [" + event + "]");
            if (Declare.Button.NUMBER_00 <= keyCode && keyCode <= Declare.Button.NUMBER_09) {
                if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                    strText_Line_01_Input += keyCode - 7;

                    if (strText_Line_01_Input.length() > 3) {
                        strText_Line_01_Input = strText_Line_01_Input.substring(1);
                    }
                    strText_Line_01_Input = String.valueOf(Integer.parseInt(strText_Line_01_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                    strText_Line_02_Input += keyCode - 7;

                    if (strText_Line_02_Input.length() > 3) {
                        strText_Line_02_Input = strText_Line_02_Input.substring(1);
                    }
                    strText_Line_02_Input = String.valueOf(Integer.parseInt(strText_Line_02_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_03) {
                    strText_Line_03_Input += keyCode - 7;

                    if (strText_Line_03_Input.length() > 3) {
                        strText_Line_03_Input = strText_Line_03_Input.substring(1);
                    }
                    strText_Line_03_Input = String.valueOf(Integer.parseInt(strText_Line_03_Input));
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_04) {
                    strText_Line_04_Input += keyCode - 7;

                    if (strText_Line_04_Input.length() > 3) {
                        strText_Line_04_Input = strText_Line_04_Input.substring(1);
                    }
                    strText_Line_04_Input = String.valueOf(Integer.parseInt(strText_Line_04_Input));
                }
                UpdateScreen();
            } else if (keyCode == Declare.Button.STAR) {
                if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                    if (checkValueValidity(strText_Line_01_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_02;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_01_Input = Temp_01_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                    if (checkValueValidity(strText_Line_02_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_03;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_02_Input = Temp_02_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_03) {
                    if (checkValueValidity(strText_Line_03_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_04;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_03_Input = Temp_03_Input;
                    }
                } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_04) {
                    if (checkValueValidity(strText_Line_04_Input)) {
                        Global.DataInputStep = DATAINPUTSTEP.INPUT_01;
                    } else {
                        MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                        strText_Line_04_Input = Temp_04_Input;
                    }
                }
                UpdateScreen();
            } else if (keyCode == Declare.Button.GUARD) {
                if (!checkNetworkStatus(makeIPAddress(strText_Line_01_Input, strText_Line_02_Input, strText_Line_03_Input, strText_Line_04_Input))) {
                    setInitValue();
                    Global.DataInputStep = DATAINPUTSTEP.INPUT_01;
                    UpdateScreen();
                    MainActivity.mSound.PlayMent_lobby(R.raw.retryinput);
                }
            } else if (keyCode == Declare.Button.CANCEL || keyCode == Declare.Button.TACT_CANCEL) {
                super.setChangeScreen(ID.SCREENS.AdminSet_Test_Network);
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] onKeyDown(...) : " + e);
            e.printStackTrace();
        }
        super.onKeyDown(keyCode, event);
    }

    protected void UpdateScreen() {
        try {
//          LOG("[updateScreen] Start!!");
            if (Global.DataInputStep == DATAINPUTSTEP.INPUT_01) {
                Text_Line_01_Input.setText(strText_Line_01_Input);

                Text_Line_04_Input.setTextColor(TextColor_Normal);
                Text_Line_01_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_02) {
                Text_Line_02_Input.setText(strText_Line_02_Input);

                Text_Line_01_Input.setTextColor(TextColor_Normal);
                Text_Line_02_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_03) {
                Text_Line_03_Input.setText(strText_Line_03_Input);

                Text_Line_02_Input.setTextColor(TextColor_Normal);
                Text_Line_03_Input.setTextColor(TextColor_Highlight);
            } else if (Global.DataInputStep == DATAINPUTSTEP.INPUT_04) {
                Text_Line_04_Input.setText(strText_Line_04_Input);

                Text_Line_03_Input.setTextColor(TextColor_Normal);
                Text_Line_04_Input.setTextColor(TextColor_Highlight);
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] updateScreen() : " + e);
            e.printStackTrace();
        }
    }

    public POSITION getPosition(int nID) {
//        LOG("[getPosition] ===== START =====");
        POSITION position = new POSITION();
        position.SetPosition(0, 0, 480, 272);
        try {
            switch (nID) {
                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.IMAGES.BACKGROUND:
                    position.SetPosition(0, 0, 480, 272);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.TITLE:
                    position.SetPosition(0, 24, 480, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Item:
                    position.SetPosition(30, 84, 165, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Item:
                    position.SetPosition(105, 84, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Item:
                    position.SetPosition(205, 84, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Item:
                    position.SetPosition(275, 84, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_05_Item:
                    position.SetPosition(345, 84, 10, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_06_Item:
                    position.SetPosition(415, 84, 40, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_07_Item:
                    position.SetPosition(30, 171, 450, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_01_Input:
                    position.SetPosition(145, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_02_Input:
                    position.SetPosition(215, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_03_Input:
                    position.SetPosition(285, 84, 60, 40);
                    return position;

                case ID.SCREENS.ADMINSET_TEST_NETWORK_IP.ELEMENTS.TEXTS.LINE_04_Input:
                    position.SetPosition(355, 84, 60, 40);
                    return position;

                default:
                    return position;
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] getPosition() : " + e);
            e.printStackTrace();
            return position;
        }
    }

    private void setInitValue() {
        try {
            String[] Parse_IP = ConfigValue.strMainServerIPAddress.split("\\.");

            Temp_01_Input = Parse_IP[0].trim();
            Temp_02_Input = Parse_IP[1].trim();
            Temp_03_Input = Parse_IP[2].trim();
            Temp_04_Input = Parse_IP[3].trim();

            strText_Line_01_Input = Temp_01_Input;
            strText_Line_02_Input = Temp_02_Input;
            strText_Line_03_Input = Temp_03_Input;
            strText_Line_04_Input = Temp_04_Input;

        } catch (Exception e) {
            Log.e(TAG, "[Exception] setInitValue()");
            e.printStackTrace();
        }
    }

    private boolean checkValueValidity(String value) {
        try {
            int nValue = Integer.parseInt(value);
            if (nValue < 0 || 255 < nValue) return false;
            return true;
        } catch (Exception e) {
            Log.e(TAG, "[Exception] setInitValue()");
            e.printStackTrace();
            return false;
        }
    }

    private String makeIPAddress(String IP_01, String IP_02, String IP_03, String IP_04) {
        try {
            LOG("[makeIPAddress] IP_01 [" + IP_01 + "], IP_02 [" + IP_02 + "], IP_03 [" + IP_03 + "], IP_04 [" + IP_04 + "]");
            return IP_01.trim() + "." + IP_02.trim() + "." + IP_03.trim() + "." + IP_04.trim();
        } catch (Exception e) {
            Log.e(TAG, "[Exception] makeIPAddress(IP_01, IP_02, IP_03, IP_04)");
            e.printStackTrace();
            return "10.0.1.1";
        }
    }

    private boolean checkNetworkStatus(String strTargetIP) {
        try {
            LOG("[checkNetworkStatus] strTargetIP = " + strTargetIP);
            bFUNCBlock = true;
            PingTest mPingTest = new PingTest() {
                @Override
                protected void onPostExecute(String result) {
                    LOG("[checkNetworkStatus.onPostExecute] result = " + result);
                    displayPingResult(result);
                    bFUNCBlock = false;
                }
            };
            strText_Line_07_Item = "잠시만 기다리세요.";
            Text_Line_07_Item.setText(strText_Line_07_Item);
            Text_Line_07_Item.setTextColor(Color.WHITE);
            mPingTest.doPingTest(strTargetIP);
            return true;
        } catch (Exception e) {
            Log.e(TAG, "[Exception] checkNetworkStatus(strTargetIP)");
            e.printStackTrace();
            bFUNCBlock = false;
            return false;
        }
    }

    private void displayPingResult(String strResult) {
        try {
            LOG("[displayPingResult] strResult = " + strResult);
            strText_Line_07_Item = strResult;
            Text_Line_07_Item.setText(strText_Line_07_Item);
            if (strResult.equals("Reachable")) {
                Text_Line_07_Item.setTextColor(Color.GREEN);
            } else {
                Text_Line_07_Item.setTextColor(Color.RED);
            }
        } catch (Exception e) {
            Log.e(TAG, "[Exception] displayPingResult(strResult)");
            e.printStackTrace();
        }
    }


}
